Bug 27238 - youtube-dl-gui (python2-based) dropped in M8, tartube provided in repository.
Summary: youtube-dl-gui (python2-based) dropped in M8, tartube provided in repository.
Status: NEW
Alias: None
Product: Mageia
Classification: Unclassified
Component: RPM Packages (show other bugs)
Version: Cauldron
Hardware: All Linux
Priority: Normal normal
Target Milestone: Mageia 8
Assignee: Mageia Bug Squad
QA Contact:
URL:
Whiteboard:
Keywords: IN_RELEASENOTES8
: 27907 (view as bug list)
Depends on:
Blocks:
 
Reported: 2020-09-03 00:05 CEST by William Kenney
Modified: 2021-02-10 21:13 CET (History)
4 users (show)

See Also:
Source RPM: tartube
CVE:
Status comment:


Attachments

Description William Kenney 2020-09-03 00:05:15 CEST
Description of problem:

youtube-dl-gui in M7 has been replaced by tartube in M8

While youtube-dl-gui wan't all that pretty tartube is an over the top, IMO, completely out of control hyper complex solution for something that was previously functionally useful. I've put some considerable time into trying to at least understand the basic functionally of tartube but alas as Americans say, I can't even get to first base.

This is nothing we can fix and I doubt shouting upstream at the this thing will get us anywhere. I write this bug as a record so that when we get complaints in the user forums about this monster at least we can say we only provide it, we didn't write it.

Learning the command line structure of youtube-dl is a much easier path to the function.

What's the old adage? Oh ya. Don't fix something if it ain't broken.

I think the tartube author(s) wrote more Documentation then we have for Mageia.
At least our Docs are accurate.
Comment 1 William Kenney 2020-09-03 00:07:27 CEST
tartube official docs:

https://tartube.sourceforge.io/

They are pretty
Comment 2 Aurelien Oudelet 2020-09-03 17:34:40 CEST
Hi,
Thanks reporting this.

Leaving this in Bugsquad for now, until we get complains from users.
Aurelien Oudelet 2020-09-03 17:34:52 CEST

CC: (none) => ouaurelien

Comment 3 William Kenney 2020-09-03 18:31:44 CEST
(In reply to Aurelien Oudelet from comment #2)

> Leaving this in Bugsquad for now, until we get complains from users.

Sounds like a plan.

Thanks
Comment 4 Lewis Smith 2020-09-04 08:30:29 CEST
I suspect there was a good reason for replacing 'youtube-dl-gui' with 'tartube', for example: its site says that it requires Python 2, which we are trying to leave in favour of Python 3.
> Learning the command line structure of youtube-dl is a much easier path
"Small command-line program to download videos from YouTube".

CC: (none) => lewyssmith

Comment 5 William Kenney 2020-09-04 12:12:11 CEST
(In reply to Lewis Smith from comment #4)
> I suspect there was a good reason for replacing 'youtube-dl-gui' with
> 'tartube', for example: its site says that it requires Python 2, which we
> are trying to leave in favour of Python 3.
> > Learning the command line structure of youtube-dl is a much easier path
> "Small command-line program to download videos from YouTube".

There's an old American cartoonist that's appropriate for this:

https://thumbs-prod.si-cdn.com/i4d5VZeA7D4nJEGhEcdaKf9TeQE=/800x600/filters:no_upscale()/https://public-media.si-cdn.com/filer/07/51/075114f2-5108-4286-9841-e6cafb6a3c66/09_rg_rube_goldberg_inventions_usps_stamp.jpg
Comment 6 Aurelien Oudelet 2020-12-22 20:54:34 CET
(In reply to Lewis Smith from comment #4)
> I suspect there was a good reason for replacing 'youtube-dl-gui' with
> 'tartube', for example: its site says that it requires Python 2, which we
> are trying to leave in favour of Python 3.
> > Learning the command line structure of youtube-dl is a much easier path
> "Small command-line program to download videos from YouTube".

Yeah confirmed by David G.

Target Milestone: --- => Mageia 8
Summary: A fix ( tartube ) gone mad for something that wasn't broke => youtube-dl-gui (python2-based) dropped in M8, tartube provided in repository.
Keywords: (none) => FOR_RELEASENOTES8

Comment 7 Aurelien Oudelet 2020-12-22 20:55:37 CET
*** Bug 27907 has been marked as a duplicate of this bug. ***

CC: (none) => joselp

Comment 8 Aurelien Oudelet 2020-12-22 20:56:56 CET
This need to be written somewhere in release notes.
Comment 9 katnatek 2020-12-29 21:40:35 CET
Why not try this python3 fork?
https://github.com/oleksis/youtube-dl-gui
Comment 10 Jose Manuel López 2020-12-29 22:10:33 CET
Ouyeaahh, in comment 9, I have been youtube-dl-gui. Tartube seems more complicated than youtube-dl-gui, besides it does not appear to me in Spanish...

Greetings!!!
Comment 11 Morgan Leijström 2021-02-10 21:13:22 CET
https://wiki.mageia.org/en/Mageia_8_Release_Notes#With_removal_on_upgrade

(I suppose it is removed on upgrade)

CC: (none) => fri
Keywords: FOR_RELEASENOTES8 => IN_RELEASENOTES8


Note You need to log in before you can comment on or make changes to this bug.